MetaObjectParser (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.trolltech.MetaObjectParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.trolltech
Class MetaObjectParser

    java.lang.Object
      net.sf.antcontrib.cpptasks.parser.AbstractParser
          net.sf.antcontrib.cpptasks.trolltech.MetaObjectParser

    public final class MetaObjectParser

extends AbstractParser

Scans a source file for Q_OBJECT.

Author:
  Curt Arnold

Method Summary
`protected void` | `addFilename(java.lang.String filename)` Adds a filename to the list of included files.
`AbstractParserState` | `getNewLineState()` Gets new line state.
`static boolean` | `hasQObject(java.io.Reader reader)` Determines if source file contains Q_OBJECT.
`void` | `parse(java.io.Reader reader)` Parse input file.
`void` | `setQObject(boolean value)` Called FinalTState to set that Q_OBJECT was found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasQObject

    public static boolean hasQObject(java.io.Reader reader)
                              throws java.io.IOException

  Determines if source file contains Q_OBJECT.

  Parameters:
    `reader` - Reader source reader
  Returns:
    boolean true if source contains Q_OBJECT
  Throws:
    `java.io.IOException` - if unable to read source file

### addFilename

    protected void addFilename(java.lang.String filename)

  Adds a filename to the list of included files.

  Specified by:
    `addFilename` in class `AbstractParser`
  Parameters:
    `filename` - filename to be added

### getNewLineState

    public AbstractParserState getNewLineState()

  Gets new line state.

  Specified by:
    `getNewLineState` in class `AbstractParser`
  Returns:
    AbstractParserState new line state.

### parse

    public void parse(java.io.Reader reader)
               throws java.io.IOException

  Parse input file.

  Overrides:
    `parse` in class `AbstractParser`
  Parameters:
    `reader` - Reader source file
  Throws:
    `java.io.IOException` - if error reading source file

### setQObject

    public void setQObject(boolean value)

  Called FinalTState to set that Q_OBJECT was found.

  Parameters:
    `value` - boolean new value for hasQObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.